For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Yeni Seri Oluşturur

Yeni seri oluşturur.

post
Authorizations
HTTPRequired

API anahtar� giriniz

Body
Namestring · min: 3 · max: 3RequiredPattern: [A-Z0-9]{3}
IsActivebooleanOptional
IsDefaultbooleanOptional
Responses
200

Yeni seri oluşturur.

application/json
IDinteger · int32Optional
Namestring · nullableOptional
IsDefaultbooleanOptional
IsActivebooleanOptional
CreatedDatestring · date-timeOptional
post/Series
POST /einvoice/Series HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 48

{
  "Name": "text",
  "IsActive": true,
  "IsDefault": true
}
{
  "ID": 1,
  "Name": "text",
  "IsDefault": true,
  "IsActive": true,
  "CreatedDate": "2026-01-01T00:00:00.000Z",
  "Details": [
    {
      "ID": 1,
      "Year": "text",
      "OrdinalNumber": 1,
      "LastIssueDate": "2026-01-01T00:00:00.000Z"
    }
  ]
}
var options = new RestClientOptions("//einsurance/Series")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""Name"": ""67D""," + "\n" +
@"  ""IsActive"": ""<boolean>""," + "\n" +
@"  ""IsDefault"": ""<boolean>""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Series',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "Name": "67D",
  "IsActive": "<boolean>",
  "IsDefault": "<boolean>"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated